#include "Vec_test.h"

#include <maya/MFnPlugin.h>

MStatus initializePlugin(MObject obj)
{
	MStatus status;

	MFnPlugin fnPlugin(obj, "Andots", "1.0", "Any");

	status = fnPlugin.registerCommand("VecTest", VecTest::creator);
	CHECK_MSTATUS_AND_RETURN_IT(status);

	return MS::kSuccess;
}


MStatus uninitializePlugin(MObject obj)
{
	MStatus status;

	MFnPlugin fnPlugin(obj);

	status = fnPlugin.deregisterCommand("VecTest");
	CHECK_MSTATUS_AND_RETURN_IT(status);

	return MS::kSuccess;
}